Subject: Re: linux panic on 4.0.0-rc4

From: Peter Hurley <[email-masked]>
Date: Tue, 17 Mar 2015 16:03:07 -0400

On 03/17/2015 02:33 AM, Pranith Kumar wrote:
> On Mon, Mar 16, 2015 at 11:18 PM, Peter Hurley <[email-masked]> wrote:
>> On 03/16/2015 11:12 PM, Pranith Kumar wrote:
>>> On Mon, Mar 16, 2015 at 10:58 PM, Peter Hurley <[email-masked]> wrote:
>>>>>> What is your init?
>>>>>
>>>>> I am using systemd from debian unstable.
>>>>
>>>> Do you have a stdout-path property defined in your dts to a serial
>>>> console you're not actually using?
>>>>
>>>
>>> I am using tty0 as my console. From the config which I posted, it has:
>>>
>>> CONFIG_CMDLINE="console=ttyS0,9600 console=tty0"
>>>
>>> I am not using any device tree file.
>>
>> Ok; there was some reported breakage on PowerMac wrt to 'stdout-path'
>> changes I made, so I thought I'd check if that might have affected
>> your setup as well.
>>
> 
> And the painful slow bisecting did lead to that commit:
> 
> Bisecting: 0 revisions left to test after this (roughly 0 steps)
> [2fa645cb2703d9b3786d850db815414dfeefa51d] of: Fix premature
> bootconsole disable with 'stdout-path'
> 
> $ git show 2fa645cb2703d9b3786d850db815414dfeefa51d
> commit 2fa645cb2703d9b3786d850db815414dfeefa51d
> Author: Peter Hurley <[email-masked]>
> Date:   Sun Mar 1 12:21:22 2015 -0500
> 
>     of: Fix premature bootconsole disable with 'stdout-path'

Can you send me a complete dmesg capture from a boot with
this commit reverted?